mssql_fetch_assoc
mssql_fetch_field
Mssql Functions
PHP Manual

# mssql_fetch_batch

(PHP 4 >= 4.0.4, PHP 5, PECL odbtp:1.1.1-1.1.4)

mssql_fetch_batch — Returns the next batch of records

### Description

int mssql_fetch_batch ( resource `$result` )

Returns the next batch of records

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mssql_query().

### Return Values

Returns the batch number as an integer.

### Examples

Example #1 mssql_fetch_batch() Example

`<?php
$resDb = mssql_connect('localhost', 'user', 'name');
$result = mssql_query('SELECT * FROM MYTABLE', $resDb, 10000);
$intNumRows = mssql_num_rows($result);
while ($intNumRows > 0) {
while ($arrRow = mssql_fetch_assoc($result)) {
// Do stuff ...
}
$intNumRows = mssql_fetch_batch($result);
}
?>`

mssql_fetch_assoc
mssql_fetch_field
Mssql Functions
PHP Manual